Eclipse Remote Application Platform

## org.eclipse.rap.rwt.lifecycle
Class PhaseEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.rap.rwt.lifecycle.PhaseEvent

All Implemented Interfaces:
  java.io.Serializable

    public class PhaseEvent

extends java.util.EventObject

This event is sent to the `PhaseListener` before and after a lifecycle phase is executed.

The `getSource()` method returns an instance of type `ILifeCycle`.

This class is not intended to be instantiated by clients.

Since:
  2.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PhaseEvent(ILifeCycle source, PhaseId phaseId)` Creates a PhaseEvent for the given lifecycle with the given `phaseId`.

Method Summary
`PhaseId` `getPhaseId()` Returns the id of the phase that will be or was executed.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PhaseEvent

    public PhaseEvent(ILifeCycle source,
                      PhaseId phaseId)

  Creates a PhaseEvent for the given lifecycle with the given `phaseId`.

  Parameters:
    `source` - the lifecycle which causes this event
    `phaseId` - the id of the phase that will be or was executed.

Method Detail

### getPhaseId

    public PhaseId getPhaseId()

  Returns the id of the phase that will be or was executed.

  Returns:
    the `PhaseId` of this event

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2014. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0